# Uses of Enum Class
org.apache.lucene.search.join.ScoreMode

- ## Uses of ScoreMode in org.apache.lucene.search.join

  Methods in org.apache.lucene.search.join that return ScoreMode
  Modifier and Type
  Method
  Description
  `static ScoreMode`
  ScoreMode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ScoreMode[]`
  ScoreMode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.search.join with parameters of type ScoreMode
  Modifier and Type
  Method
  Description
  `static Query`
  JoinUtil.`createJoinQuery(String fromField, boolean multipleValuesPerDocument, String toField, Class<? extends Number> numericType, Query fromQuery, IndexSearcher fromSearcher, ScoreMode scoreMode)`
  Method for query time joining for numeric fields.
  `static Query`
  JoinUtil.`createJoinQuery(String fromField, boolean multipleValuesPerDocument, String toField, Query fromQuery, IndexSearcher fromSearcher, ScoreMode scoreMode)`
  Method for query time joining.
  `static Query`
  JoinUtil.`createJoinQuery(String joinField, Query fromQuery, Query toQuery, IndexSearcher searcher, ScoreMode scoreMode, OrdinalMap ordinalMap)`
  Delegates to `JoinUtil.createJoinQuery(String, Query, Query, IndexSearcher, ScoreMode, OrdinalMap, int, int)`, but disables the min and max filtering.
  `static Query`
  JoinUtil.`createJoinQuery(String joinField, Query fromQuery, Query toQuery, IndexSearcher searcher, ScoreMode scoreMode, OrdinalMap ordinalMap, int min, int max)`
  A query time join using global ordinals over a dedicated join field.
  Constructors in org.apache.lucene.search.join with parameters of type ScoreMode
  Modifier
  Constructor
  Description
  ``
  `ToParentBlockJoinQuery(Query childQuery, BitSetProducer parentsFilter, ScoreMode scoreMode)`
  Create a ToParentBlockJoinQuery.